Bug 181283 - [acpi_ibm] acpi_ibm module is useless on ThinkPad W530
Summary: [acpi_ibm] acpi_ibm module is useless on ThinkPad W530
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 10.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-acpi mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-14 12:50 UTC by vermaden
Modified: 2019-07-16 11:33 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vermaden 2013-08-14 12:50:00 UTC
The acpi_ibm module is useless on ThinkPad W530, for example changing the dev.acpi_ibm.0.lcd_brightness is pointless, no effects after various settings.

I attach below information about:
 - hardware
 - pciconf -lv
 - dmesg
 - sysctl -a
 - acpiconf -i 0
 - dmidecode
 - dmidecode --dump
 - usbconfig

===============================================================================



hardware:

Lenovo ThinkPad W530
  cpu: Intel Core i7-3630QM (http://ark.intel.com/products/71459) (powerd works)
  ram: 16 GB DDR3
  hdd: 256 GB SSD
  gfx: Intel HD 4000 (works with Optimus disabled in BIOS)
  gfx: Nvidia Quadro K2000 2 GB (works with Optimus disabled in BIOS)
  sdh: RICOH R5CE823 (SD/SDHC card reader works)
  wif: Intel Centrino Ultimate-N 6300 (works)

===============================================================================



sysctl dev.acpi_ibm:

dev.acpi_ibm.0.%desc: IBM ThinkPad ACPI Extras
dev.acpi_ibm.0.%driver: acpi_ibm
dev.acpi_ibm.0.%location: handle=\_SB_.PCI0.LPC_.EC__.HKEY
dev.acpi_ibm.0.%pnpinfo: _HID=LEN0068 _UID=0
dev.acpi_ibm.0.%parent: acpi0
dev.acpi_ibm.0.initialmask: 2056
dev.acpi_ibm.0.availmask: 134217723
dev.acpi_ibm.0.events: 0
dev.acpi_ibm.0.eventmask: 2056
dev.acpi_ibm.0.hotkey: 0
dev.acpi_ibm.0.lcd_brightness: 0
dev.acpi_ibm.0.volume: 0
dev.acpi_ibm.0.mute: 0
dev.acpi_ibm.0.thinklight: 0
dev.acpi_ibm.0.bluetooth: 1
dev.acpi_ibm.0.wlan: 1
dev.acpi_ibm.0.fan_speed: 2717
dev.acpi_ibm.0.fan_level: 0
dev.acpi_ibm.0.fan: 1
dev.acpi_ibm.0.handlerevents: NONE


===============================================================================



acpiconf -i 0:

Design capacity:	93960 mWh
Last full capacity:	93980 mWh
Technology:		secondary (rechargeable)
Design voltage:		10800 mV
Capacity (warn):	4699 mWh
Capacity (low):		200 mWh
Low/warn granularity:	1 mWh
Warn/full granularity:	1 mWh
Model number:		45N1173
Serial number:		24256
Type:			LION
OEM info:		SANYO
State:			discharging 
Remaining capacity:	82%
Remaining time:		2:32
Present rate:		30430 mW
Present voltage:	11731 mV

===============================================================================



dmidecode:

# dmidecode 2.11
SMBIOS 2.7 present.
71 structures occupying 2821 bytes.
Table at 0xBAE9D000.

Handle 0x0000, DMI type 134, 16 bytes
OEM-specific Type
	Header and Data:
		86 10 00 00 00 53 54 4D 20 01 01 00 00 00 01 02
	Strings:
		TPM INFO
		System Reserved

Handle 0x0001, DMI type 4, 42 bytes
Processor Information
	Socket Designation: CPU Socket - U3E1
	Type: Central Processor
	Family: Core i7
	Manufacturer: Intel(R) Corporation
	ID: A9 06 03 00 FF FB EB BF
	Signature: Type 0, Family 6, Model 58, Stepping 9
	Flags:
		FPU (Floating-point unit on-chip)
		VME (Virtual mode extension)
		DE (Debugging extension)
		PSE (Page size extension)
		TSC (Time stamp counter)
		MSR (Model specific registers)
		PAE (Physical address extension)
		MCE (Machine check exception)
		CX8 (CMPXCHG8 instruction supported)
		APIC (On-chip APIC hardware supported)
		SEP (Fast system call)
		MTRR (Memory type range registers)
		PGE (Page global enable)
		MCA (Machine check architecture)
		CMOV (Conditional move instruction supported)
		PAT (Page attribute table)
		PSE-36 (36-bit page size extension)
		CLFSH (CLFLUSH instruction supported)
		DS (Debug store)
		ACPI (ACPI supported)
		MMX (MMX technology supported)
		FXSR (FXSAVE and FXSTOR instructions supported)
		SSE (Streaming SIMD extensions)
		SSE2 (Streaming SIMD extensions 2)
		SS (Self-snoop)
		HTT (Multi-threading)
		TM (Thermal monitor supported)
		PBE (Pending break enabled)
	Version: Intel(R) Core(TM) i7-3630QM CPU @ 2.40GHz
	Voltage: 0.9 V
	External Clock: 100 MHz
	Max Speed: 2400 MHz
	Current Speed: 2400 MHz
	Status: Populated, Enabled
	Upgrade: Socket rPGA988B
	L1 Cache Handle: 0x0003
	L2 Cache Handle: 0x0004
	L3 Cache Handle: 0x0005
	Serial Number: None
	Asset Tag: None
	Part Number: None
	Core Count: 4
	Core Enabled: 4
	Thread Count: 8
	Characteristics:
		64-bit capable

Handle 0x0002, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L1-Cache
	Configuration: Enabled, Not Socketed, Level 1
	Operational Mode: Write Through
	Location: Internal
	Installed Size: 32 kB
	Maximum Size: 32 kB
	Supported SRAM Types:
		Unknown
	Installed SRAM Type: Unknown
	Speed: Unknown
	Error Correction Type: Parity
	System Type: Data
	Associativity: 8-way Set-associative

Handle 0x0003, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L1-Cache
	Configuration: Enabled, Not Socketed, Level 1
	Operational Mode: Write Through
	Location: Internal
	Installed Size: 32 kB
	Maximum Size: 32 kB
	Supported SRAM Types:
		Unknown
	Installed SRAM Type: Unknown
	Speed: Unknown
	Error Correction Type: Parity
	System Type: Instruction
	Associativity: 8-way Set-associative

Handle 0x0004, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L2-Cache
	Configuration: Enabled, Not Socketed, Level 2
	Operational Mode: Write Through
	Location: Internal
	Installed Size: 256 kB
	Maximum Size: 256 kB
	Supported SRAM Types:
		Unknown
	Installed SRAM Type: Unknown
	Speed: Unknown
	Error Correction Type: Multi-bit ECC
	System Type: Unified
	Associativity: 8-way Set-associative

Handle 0x0005, DMI type 7, 19 bytes
Cache Information
	Socket Designation: L3-Cache
	Configuration: Enabled, Not Socketed, Level 3
	Operational Mode: Write Back
	Location: Internal
	Installed Size: 6144 kB
	Maximum Size: 6144 kB
	Supported SRAM Types:
		Unknown
	Installed SRAM Type: Unknown
	Speed: Unknown
	Error Correction Type: Multi-bit ECC
	System Type: Unified
	Associativity: 12-way Set-associative

Handle 0x0006, DMI type 129, 8 bytes
OEM-specific Type
	Header and Data:
		81 08 06 00 01 01 02 01
	Strings:
		Intel_ASF
		Intel_ASF_001

Handle 0x0007, DMI type 16, 23 bytes
Physical Memory Array
	Location: System Board Or Motherboard
	Use: System Memory
	Error Correction Type: None
	Maximum Capacity: 32 GB
	Error Information Handle: Not Provided
	Number Of Devices: 4

Handle 0x0008, DMI type 17, 34 bytes
Memory Device
	Array Handle: 0x0007
	Error Information Handle: Not Provided
	Total Width: Unknown
	Data Width: Unknown
	Size: No Module Installed
	Form Factor: DIMM
	Set: None
	Locator: ChannelA-DIMM0
	Bank Locator: BANK 0
	Type: Unknown
	Type Detail: None
	Speed: Unknown
	Manufacturer: Not Specified
	Serial Number: Not Specified
	Asset Tag: None
	Part Number: Not Specified
	Rank: Unknown
	Configured Clock Speed: Unknown

Handle 0x0009, DMI type 17, 34 bytes
Memory Device
	Array Handle: 0x0007
	Error Information Handle: Not Provided
	Total Width: 64 bits
	Data Width: 64 bits
	Size: 8192 MB
	Form Factor: SODIMM
	Set: None
	Locator: ChannelA-DIMM1
	Bank Locator: BANK 1
	Type: DDR3
	Type Detail: Synchronous
	Speed: 1600 MHz
	Manufacturer: Samsung
	Serial Number: 12FB5F53
	Asset Tag: None
	Part Number: M471B1G73BH0-CK0  
	Rank: Unknown
	Configured Clock Speed: 1600 MHz

Handle 0x000A, DMI type 17, 34 bytes
Memory Device
	Array Handle: 0x0007
	Error Information Handle: Not Provided
	Total Width: Unknown
	Data Width: Unknown
	Size: No Module Installed
	Form Factor: DIMM
	Set: None
	Locator: ChannelB-DIMM0
	Bank Locator: BANK 2
	Type: Unknown
	Type Detail: None
	Speed: Unknown
	Manufacturer: Not Specified
	Serial Number: Not Specified
	Asset Tag: None
	Part Number: Not Specified
	Rank: Unknown
	Configured Clock Speed: Unknown

Handle 0x000B, DMI type 17, 34 bytes
Memory Device
	Array Handle: 0x0007
	Error Information Handle: Not Provided
	Total Width: 64 bits
	Data Width: 64 bits
	Size: 8192 MB
	Form Factor: SODIMM
	Set: None
	Locator: ChannelB-DIMM1
	Bank Locator: BANK 3
	Type: DDR3
	Type Detail: Synchronous
	Speed: 1600 MHz
	Manufacturer: Samsung
	Serial Number: 12FB5F36
	Asset Tag: None
	Part Number: M471B1G73BH0-CK0  
	Rank: Unknown
	Configured Clock Speed: 1600 MHz

Handle 0x000C, DMI type 19, 31 bytes
Memory Array Mapped Address
	Starting Address: 0x00000000000
	Ending Address: 0x003FFFFFFFF
	Range Size: 16 GB
	Physical Array Handle: 0x0007
	Partition Width: 4

Handle 0x000D, DMI type 134, 13 bytes
OEM-specific Type
	Header and Data:
		86 0D 0D 00 01 06 13 20 00 00 00 00 00

Handle 0x000E, DMI type 0, 24 bytes
BIOS Information
	Vendor: LENOVO
	Version: G5ET92WW (2.52 )
	Release Date: 02/27/2013
	Address: 0xE0000
	Runtime Size: 128 kB
	ROM Size: 12288 kB
	Characteristics:
		PCI is supported
		PNP is supported
		BIOS is upgradeable
		BIOS shadowing is allowed
		Boot from CD is supported
		Selectable boot is supported
		EDD is supported
		3.5"/720 kB floppy services are supported (int 13h)
		Print screen service is supported (int 5h)
		8042 keyboard services are supported (int 9h)
		Serial services are supported (int 14h)
		Printer services are supported (int 17h)
		CGA/mono video services are supported (int 10h)
		ACPI is supported
		USB legacy is supported
		BIOS boot specification is supported
		Targeted content distribution is supported
		UEFI is supported
	BIOS Revision: 2.52
	Firmware Revision: 1.9

Handle 0x000F, DMI type 1, 27 bytes
System Information
	Manufacturer: LENOVO
	Product Name: 24412Q4
	Version: ThinkPad W530
	Serial Number: R9Z202T
	UUID: 0A18EC01-525E-11CB-A663-D8704150881B
	Wake-up Type: Power Switch
	SKU Number: LENOVO_MT_2441
	Family: ThinkPad W530

Handle 0x0010, DMI type 2, 15 bytes
Base Board Information
	Manufacturer: LENOVO
	Product Name: 24412Q4
	Version: Not Defined
	Serial Number: 1ZSF635L18X
	Asset Tag: Not Available
	Features:
		Board is a hosting board
		Board is replaceable
	Location In Chassis: Not Available
	Chassis Handle: 0x0000
	Type: Motherboard
	Contained Object Handles: 0

Handle 0x0011, DMI type 3, 22 bytes
Chassis Information
	Manufacturer: LENOVO
	Type: Notebook
	Lock: Not Present
	Version: Not Available
	Serial Number: R9Z202T
	Asset Tag: No Asset Information
	Boot-up State: Unknown
	Power Supply State: Unknown
	Thermal State: Unknown
	Security Status: Unknown
	OEM Information: 0x00000000
	Height: Unspecified
	Number Of Power Cords: Unspecified
	Contained Elements: 0
	SKU Number: LENOVO_MT_2441

Handle 0x0012, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: Not Available
	Internal Connector Type: None
	External Reference Designator: External Monitor
	External Connector Type: DB-15 female
	Port Type: Video Port

Handle 0x0013, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: Not Available
	Internal Connector Type: None
	External Reference Designator: Mini DisplayPort
	External Connector Type: Other
	Port Type: Video Port

Handle 0x0014, DMI type 126, 9 bytes
Inactive

Handle 0x0015, DMI type 126, 9 bytes
Inactive

Handle 0x0016, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: Not Available
	Internal Connector Type: None
	External Reference Designator: Headphone/Microphone Combo Jack
	External Connector Type: Mini Jack (headphones)
	Port Type: Audio Port

Handle 0x0017, DMI type 126, 9 bytes
Inactive

Handle 0x0018, DMI type 126, 9 bytes
Inactive

Handle 0x0019, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: Not Available
	Internal Connector Type: None
	External Reference Designator: Ethernet
	External Connector Type: RJ-45
	Port Type: Network Port

Handle 0x001A, DMI type 126, 9 bytes
Inactive

Handle 0x001B, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: Not Available
	Internal Connector Type: None
	External Reference Designator: USB 1
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x001C, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: Not Available
	Internal Connector Type: None
	External Reference Designator: USB 2
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x001D, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: Not Available
	Internal Connector Type: None
	External Reference Designator: USB 3
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x001E, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: Not Available
	Internal Connector Type: None
	External Reference Designator: USB 4
	External Connector Type: Access Bus (USB)
	Port Type: USB

Handle 0x001F, DMI type 126, 9 bytes
Inactive

Handle 0x0020, DMI type 126, 9 bytes
Inactive

Handle 0x0021, DMI type 126, 9 bytes
Inactive

Handle 0x0022, DMI type 126, 9 bytes
Inactive

Handle 0x0023, DMI type 126, 9 bytes
Inactive

Handle 0x0024, DMI type 126, 9 bytes
Inactive

Handle 0x0025, DMI type 126, 9 bytes
Inactive

Handle 0x0026, DMI type 8, 9 bytes
Port Connector Information
	Internal Reference Designator: Not Available
	Internal Connector Type: None
	External Reference Designator: IEEE1394
	External Connector Type: IEEE 1394
	Port Type: Firewire (IEEE P1394)

Handle 0x0027, DMI type 126, 9 bytes
Inactive

Handle 0x0028, DMI type 9, 17 bytes
System Slot Information
	Designation: ExpressCard Slot
	Type: x1 PCI Express
	Current Usage: Available
	Length: Other
	ID: 1
	Characteristics:
		Hot-plug devices are supported
	Bus Address: 0000:00:00.0

Handle 0x0029, DMI type 9, 17 bytes
System Slot Information
	Designation: Media Card Slot
	Type: Other
	Current Usage: Available
	Length: Other
	Characteristics:
		Hot-plug devices are supported
	Bus Address: 0000:00:00.0

Handle 0x002A, DMI type 126, 17 bytes
Inactive

Handle 0x002B, DMI type 10, 6 bytes
On Board Device Information
	Type: Other
	Status: Disabled
	Description: IBM Embedded Security hardware

Handle 0x002C, DMI type 12, 5 bytes
System Configuration Options

Handle 0x002D, DMI type 13, 22 bytes
BIOS Language Information
	Language Description Format: Abbreviated
	Installable Languages: 1
		en-US
	Currently Installed Language: en-US

Handle 0x002E, DMI type 22, 26 bytes
Portable Battery
	Location: Rear
	Manufacturer: SANYO
	Name: 45N1173
	Design Capacity: 93960 mWh
	Design Voltage: 10800 mV
	SBDS Version: 03.01
	Maximum Error: Unknown
	SBDS Serial Number: 5EC0
	SBDS Manufacture Date: 2013-04-03
	SBDS Chemistry: LION
	OEM-specific Information: 0x00000000

Handle 0x002F, DMI type 126, 26 bytes
Inactive

Handle 0x0030, DMI type 18, 23 bytes
32-bit Memory Error Information
	Type: OK
	Granularity: Unknown
	Operation: Unknown
	Vendor Syndrome: Unknown
	Memory Array Address: Unknown
	Device Address: Unknown
	Resolution: Unknown

Handle 0x0031, DMI type 21, 7 bytes
Built-in Pointing Device
	Type: Track Point
	Interface: PS/2
	Buttons: 3

Handle 0x0032, DMI type 21, 7 bytes
Built-in Pointing Device
	Type: Touch Pad
	Interface: PS/2
	Buttons: 2

Handle 0x0033, DMI type 131, 22 bytes
OEM-specific Type
	Header and Data:
		83 16 33 00 01 00 00 00 00 00 00 00 00 00 00 00
		00 00 00 00 00 01
	Strings:
		TVT-Enablement

Handle 0x0034, DMI type 136, 6 bytes
OEM-specific Type
	Header and Data:
		88 06 34 00 5A 5A

Handle 0x0035, DMI type 130, 20 bytes
OEM-specific Type
	Header and Data:
		82 14 35 00 24 41 4D 54 00 00 00 00 01 A5 FF 03
		00 00 00 00

Handle 0x0036, DMI type 131, 64 bytes
OEM-specific Type
	Header and Data:
		83 40 36 00 31 00 00 00 08 00 00 00 00 00 45 00
		F8 00 55 1E FF FF FF FF 21 20 00 00 01 00 08 00
		46 05 1E 00 00 00 00 00 C8 00 02 15 00 00 00 00
		00 00 00 00 60 00 00 00 76 50 72 6F 00 00 00 00

Handle 0x0037, DMI type 135, 74 bytes
OEM-specific Type
	Header and Data:
		87 4A 37 00 54 50 07 02 42 41 59 20 49 2F 4F 20
		03 00 06 FF 00 00 00 00 00 00 00 FF 00 00 00 00
		00 00 00 FF 00 00 00 00 00 00 00 FF 00 00 00 00
		00 00 00 FF 00 00 00 00 00 00 00 FF 00 00 00 00
		00 00 00 06 00 02 04 FF 03 FF

Handle 0x0038, DMI type 133, 5 bytes
OEM-specific Type
	Header and Data:
		85 05 38 00 01
	Strings:
		KHOIHGIUCCHHII

Handle 0x0039, DMI type 15, 81 bytes
System Event Log
	Area Length: 50 bytes
	Header Start Offset: 0x0000
	Header Length: 16 bytes
	Data Start Offset: 0x0010
	Access Method: General-purpose non-volatile data functions
	Access Address: 0x00F0
	Status: Valid, Not Full
	Change Token: 0x00000002
	Header Format: Type 1
	Supported Log Type Descriptors: 29
	Descriptor 1: Single-bit ECC memory error
	Data Format 1: Multiple-event handle
	Descriptor 2: Multi-bit ECC memory error
	Data Format 2: Multiple-event handle
	Descriptor 3: Parity memory error
	Data Format 3: None
	Descriptor 4: Bus timeout
	Data Format 4: None
	Descriptor 5: I/O channel block
	Data Format 5: None
	Descriptor 6: Software NMI
	Data Format 6: None
	Descriptor 7: POST memory resize
	Data Format 7: None
	Descriptor 8: POST error
	Data Format 8: POST results bitmap
	Descriptor 9: PCI parity error
	Data Format 9: None
	Descriptor 10: PCI system error
	Data Format 10: None
	Descriptor 11: CPU failure
	Data Format 11: None
	Descriptor 12: EISA failsafe timer timeout
	Data Format 12: None
	Descriptor 13: Correctable memory log disabled
	Data Format 13: None
	Descriptor 14: Logging disabled
	Data Format 14: None
	Descriptor 15: System limit exceeded
	Data Format 15: None
	Descriptor 16: Asynchronous hardware timer expired
	Data Format 16: None
	Descriptor 17: System configuration information
	Data Format 17: None
	Descriptor 18: Hard disk information
	Data Format 18: None
	Descriptor 19: System reconfigured
	Data Format 19: None
	Descriptor 20: Uncorrectable CPU-complex error
	Data Format 20: None
	Descriptor 21: Log area reset/cleared
	Data Format 21: None
	Descriptor 22: System boot
	Data Format 22: None
	Descriptor 23: OEM-specific
	Data Format 23: None
	Descriptor 24: OEM-specific
	Data Format 24: None
	Descriptor 25: OEM-specific
	Data Format 25: None
	Descriptor 26: OEM-specific
	Data Format 26: None
	Descriptor 27: OEM-specific
	Data Format 27: None
	Descriptor 28: OEM-specific
	Data Format 28: None
	Descriptor 29: OEM-specific
	Data Format 29: None

Handle 0x003A, DMI type 140, 67 bytes
OEM-specific Type
	Header and Data:
		8C 43 3A 00 4C 45 4E 4F 56 4F 0B 00 01 73 A1 B2
		BF 4B F9 F3 8F 1F E7 74 52 2D A7 7D D3 01 00 00
		00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
		00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
		00 00 00

Handle 0x003B, DMI type 140, 47 bytes
OEM-specific Type
	Header and Data:
		8C 2F 3B 00 4C 45 4E 4F 56 4F 0B 01 01 29 00 AB
		B3 FD DB EF E3 69 6A 32 0E 26 BE AB B3 97 E9 00
		00 00 00 10 00 10 00 10 01 D0 00 20 01 00 01

Handle 0x003C, DMI type 140, 63 bytes
OEM-specific Type
	Header and Data:
		8C 3F 3C 00 4C 45 4E 4F 56 4F 0B 02 01 00 00 00
		00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
		00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
		00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

Handle 0x003D, DMI type 140, 17 bytes
OEM-specific Type
	Header and Data:
		8C 11 3D 00 4C 45 4E 4F 56 4F 0B 03 01 00 00 00
		00

Handle 0x003E, DMI type 140, 19 bytes
OEM-specific Type
	Header and Data:
		8C 13 3E 00 4C 45 4E 4F 56 4F 0B 04 01 B2 00 4D
		53 20 00

Handle 0x003F, DMI type 140, 19 bytes
OEM-specific Type
	Header and Data:
		8C 13 3F 00 4C 45 4E 4F 56 4F 0B 05 01 01 00 00
		00 00 00

Handle 0x0040, DMI type 140, 23 bytes
OEM-specific Type
	Header and Data:
		8C 17 40 00 4C 45 4E 4F 56 4F 0B 06 01 7E 14 00
		00 00 00 00 00 00 00

Handle 0x0041, DMI type 24, 5 bytes
Hardware Security
	Power-On Password Status: Disabled
	Keyboard Password Status: Not Implemented
	Administrator Password Status: Disabled
	Front Panel Reset Status: Not Implemented

Handle 0x0042, DMI type 132, 7 bytes
OEM-specific Type
	Header and Data:
		84 07 42 00 01 D8 36

Handle 0x0043, DMI type 135, 18 bytes
OEM-specific Type
	Header and Data:
		87 12 43 00 54 50 07 01 01 D5 03 00 00 00 01 00
		00 00

Handle 0x0044, DMI type 140, 15 bytes
OEM-specific Type
	Header and Data:
		8C 0F 44 00 4C 45 4E 4F 56 4F 0B 07 01 01 02
	Strings:
		G4HT35WW
		01/14/2013

Handle 0x0045, DMI type 140, 43 bytes
OEM-specific Type
	Header and Data:
		8C 2B 45 00 4C 45 4E 4F 56 4F 0B 08 01 FF FF FF
		FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF
		FF FF FF FF FF FF FF FF FF FF FF

Handle 0xFEFF, DMI type 127, 4 bytes
End Of Table

==============================================================================



dmidecode --dump

# dmidecode 2.11
SMBIOS 2.7 present.
71 structures occupying 2821 bytes.
Table at 0xBAE9D000.

Handle 0x0000, DMI type 134, 16 bytes
	Header and Data:
		86 10 00 00 00 53 54 4D 20 01 01 00 00 00 01 02
	Strings:
		54 50 4D 20 49 4E 46 4F 00
		"TPM INFO"
		53 79 73 74 65 6D 20 52 65 73 65 72 76 65 64 00
		"System Reserved"

Handle 0x0001, DMI type 4, 42 bytes
	Header and Data:
		04 2A 01 00 04 03 C6 02 A9 06 03 00 FF FB EB BF
		01 89 64 00 60 09 60 09 41 21 03 00 04 00 05 00
		03 05 06 04 04 08 04 00 C6 00
	Strings:
		49 6E 74 65 6C 28 52 29 20 43 6F 72 65 28 54 4D
		29 20 69 37 2D 33 36 33 30 51 4D 20 43 50 55 20
		40 20 32 2E 34 30 47 48 7A 00
		"Intel(R) Core(TM) i7-3630QM CPU @ 2.40GHz"
		49 6E 74 65 6C 28 52 29 20 43 6F 72 70 6F 72 61
		74 69 6F 6E 00
		"Intel(R) Corporation"
		4E 6F 6E 65 00
		"None"
		43 50 55 20 53 6F 63 6B 65 74 20 2D 20 55 33 45
		31 00
		"CPU Socket - U3E1"
		4E 6F 6E 65 00
		"None"
		4E 6F 6E 65 00
		"None"

Handle 0x0002, DMI type 7, 19 bytes
	Header and Data:
		07 13 02 00 01 80 00 20 00 20 00 02 00 02 00 00
		04 04 07
	Strings:
		4C 31 2D 43 61 63 68 65 00
		"L1-Cache"

Handle 0x0003, DMI type 7, 19 bytes
	Header and Data:
		07 13 03 00 01 80 00 20 00 20 00 02 00 02 00 00
		04 03 07
	Strings:
		4C 31 2D 43 61 63 68 65 00
		"L1-Cache"

Handle 0x0004, DMI type 7, 19 bytes
	Header and Data:
		07 13 04 00 01 81 00 00 01 00 01 02 00 02 00 00
		06 05 07
	Strings:
		4C 32 2D 43 61 63 68 65 00
		"L2-Cache"

Handle 0x0005, DMI type 7, 19 bytes
	Header and Data:
		07 13 05 00 01 82 01 00 18 00 18 02 00 02 00 00
		06 05 09
	Strings:
		4C 33 2D 43 61 63 68 65 00
		"L3-Cache"

Handle 0x0006, DMI type 129, 8 bytes
	Header and Data:
		81 08 06 00 01 01 02 01
	Strings:
		49 6E 74 65 6C 5F 41 53 46 00
		"Intel_ASF"
		49 6E 74 65 6C 5F 41 53 46 5F 30 30 31 00
		"Intel_ASF_001"

Handle 0x0007, DMI type 16, 23 bytes
	Header and Data:
		10 17 07 00 03 03 03 00 00 00 02 FE FF 04 00 00
		00 00 00 00 00 00 00

Handle 0x0008, DMI type 17, 34 bytes
	Header and Data:
		11 22 08 00 07 00 FE FF 00 00 00 00 00 00 09 00
		01 02 02 00 00 00 00 00 00 03 00 00 00 00 00 00
		00 00
	Strings:
		43 68 61 6E 6E 65 6C 41 2D 44 49 4D 4D 30 00
		"ChannelA-DIMM0"
		42 41 4E 4B 20 30 00
		"BANK 0"
		4E 6F 6E 65 00
		"None"

Handle 0x0009, DMI type 17, 34 bytes
	Header and Data:
		11 22 09 00 07 00 FE FF 40 00 40 00 00 20 0D 00
		01 02 18 80 00 40 06 03 04 05 06 00 00 00 00 00
		40 06
	Strings:
		43 68 61 6E 6E 65 6C 41 2D 44 49 4D 4D 31 00
		"ChannelA-DIMM1"
		42 41 4E 4B 20 31 00
		"BANK 1"
		53 61 6D 73 75 6E 67 00
		"Samsung"
		31 32 46 42 35 46 35 33 00
		"12FB5F53"
		4E 6F 6E 65 00
		"None"
		4D 34 37 31 42 31 47 37 33 42 48 30 2D 43 4B 30
		20 20 00
		"M471B1G73BH0-CK0  "

Handle 0x000A, DMI type 17, 34 bytes
	Header and Data:
		11 22 0A 00 07 00 FE FF 00 00 00 00 00 00 09 00
		01 02 02 00 00 00 00 00 00 03 00 00 00 00 00 00
		00 00
	Strings:
		43 68 61 6E 6E 65 6C 42 2D 44 49 4D 4D 30 00
		"ChannelB-DIMM0"
		42 41 4E 4B 20 32 00
		"BANK 2"
		4E 6F 6E 65 00
		"None"

Handle 0x000B, DMI type 17, 34 bytes
	Header and Data:
		11 22 0B 00 07 00 FE FF 40 00 40 00 00 20 0D 00
		01 02 18 80 00 40 06 03 04 05 06 00 00 00 00 00
		40 06
	Strings:
		43 68 61 6E 6E 65 6C 42 2D 44 49 4D 4D 31 00
		"ChannelB-DIMM1"
		42 41 4E 4B 20 33 00
		"BANK 3"
		53 61 6D 73 75 6E 67 00
		"Samsung"
		31 32 46 42 35 46 33 36 00
		"12FB5F36"
		4E 6F 6E 65 00
		"None"
		4D 34 37 31 42 31 47 37 33 42 48 30 2D 43 4B 30
		20 20 00
		"M471B1G73BH0-CK0  "

Handle 0x000C, DMI type 19, 31 bytes
	Header and Data:
		13 1F 0C 00 00 00 00 00 FF FF FF 00 07 00 04 00
		00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

Handle 0x000D, DMI type 134, 13 bytes
	Header and Data:
		86 0D 0D 00 01 06 13 20 00 00 00 00 00

Handle 0x000E, DMI type 0, 24 bytes
	Header and Data:
		00 18 0E 00 01 02 00 E0 03 BF 80 9A 09 7D 00 00
		12 00 03 0D 02 34 01 09
	Strings:
		4C 45 4E 4F 56 4F 00
		"LENOVO"
		47 35 45 54 39 32 57 57 20 28 32 2E 35 32 20 29
		00
		"G5ET92WW (2.52 )"
		30 32 2F 32 37 2F 32 30 31 33 00
		"02/27/2013"

Handle 0x000F, DMI type 1, 27 bytes
	Header and Data:
		01 1B 0F 00 01 02 03 04 01 EC 18 0A 5E 52 CB 11
		A6 63 D8 70 41 50 88 1B 06 05 06
	Strings:
		4C 45 4E 4F 56 4F 00
		"LENOVO"
		32 34 34 31 32 51 34 00
		"24412Q4"
		54 68 69 6E 6B 50 61 64 20 57 35 33 30 00
		"ThinkPad W530"
		52 39 5A 32 30 32 54 00
		"R9Z202T"
		4C 45 4E 4F 56 4F 5F 4D 54 5F 32 34 34 31 00
		"LENOVO_MT_2441"
		54 68 69 6E 6B 50 61 64 20 57 35 33 30 00
		"ThinkPad W530"

Handle 0x0010, DMI type 2, 15 bytes
	Header and Data:
		02 0F 10 00 01 02 03 04 05 09 06 00 00 0A 00
	Strings:
		4C 45 4E 4F 56 4F 00
		"LENOVO"
		32 34 34 31 32 51 34 00
		"24412Q4"
		4E 6F 74 20 44 65 66 69 6E 65 64 00
		"Not Defined"
		31 5A 53 46 36 33 35 4C 31 38 58 00
		"1ZSF635L18X"
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"

Handle 0x0011, DMI type 3, 22 bytes
	Header and Data:
		03 16 11 00 01 0A 02 03 04 02 02 02 02 00 00 00
		00 00 00 00 00 05
	Strings:
		4C 45 4E 4F 56 4F 00
		"LENOVO"
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		52 39 5A 32 30 32 54 00
		"R9Z202T"
		4E 6F 20 41 73 73 65 74 20 49 6E 66 6F 72 6D 61
		74 69 6F 6E 00
		"No Asset Information"
		4C 45 4E 4F 56 4F 5F 4D 54 5F 32 34 34 31 00
		"LENOVO_MT_2441"

Handle 0x0012, DMI type 8, 9 bytes
	Header and Data:
		08 09 12 00 01 00 02 07 1C
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		45 78 74 65 72 6E 61 6C 20 4D 6F 6E 69 74 6F 72
		00
		"External Monitor"

Handle 0x0013, DMI type 8, 9 bytes
	Header and Data:
		08 09 13 00 01 00 02 FF 1C
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		4D 69 6E 69 20 44 69 73 70 6C 61 79 50 6F 72 74
		00
		"Mini DisplayPort"

Handle 0x0014, DMI type 126, 9 bytes
	Header and Data:
		7E 09 14 00 01 00 02 FF 1C
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		44 69 73 70 6C 61 79 50 6F 72 74 2F 44 56 49 2D
		44 20 31 00
		"DisplayPort/DVI-D 1"

Handle 0x0015, DMI type 126, 9 bytes
	Header and Data:
		7E 09 15 00 01 00 02 FF 1C
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		44 69 73 70 6C 61 79 50 6F 72 74 2F 44 56 49 2D
		44 20 32 00
		"DisplayPort/DVI-D 2"

Handle 0x0016, DMI type 8, 9 bytes
	Header and Data:
		08 09 16 00 01 00 02 1F 1D
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		48 65 61 64 70 68 6F 6E 65 2F 4D 69 63 72 6F 70
		68 6F 6E 65 20 43 6F 6D 62 6F 20 4A 61 63 6B 00
		"Headphone/Microphone Combo Jack"

Handle 0x0017, DMI type 126, 9 bytes
	Header and Data:
		7E 09 17 00 01 00 02 1F 1D
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		48 65 61 64 70 68 6F 6E 65 20 4A 61 63 6B 00
		"Headphone Jack"

Handle 0x0018, DMI type 126, 9 bytes
	Header and Data:
		7E 09 18 00 01 00 02 1F 1D
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		4D 69 63 72 6F 70 68 6F 6E 65 20 4A 61 63 6B 00
		"Microphone Jack"

Handle 0x0019, DMI type 8, 9 bytes
	Header and Data:
		08 09 19 00 01 00 02 0B 1F
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		45 74 68 65 72 6E 65 74 00
		"Ethernet"

Handle 0x001A, DMI type 126, 9 bytes
	Header and Data:
		7E 09 1A 00 01 00 02 0A 1E
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		4D 6F 64 65 6D 00
		"Modem"

Handle 0x001B, DMI type 8, 9 bytes
	Header and Data:
		08 09 1B 00 01 00 02 12 10
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		55 53 42 20 31 00
		"USB 1"

Handle 0x001C, DMI type 8, 9 bytes
	Header and Data:
		08 09 1C 00 01 00 02 12 10
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		55 53 42 20 32 00
		"USB 2"

Handle 0x001D, DMI type 8, 9 bytes
	Header and Data:
		08 09 1D 00 01 00 02 12 10
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		55 53 42 20 33 00
		"USB 3"

Handle 0x001E, DMI type 8, 9 bytes
	Header and Data:
		08 09 1E 00 01 00 02 12 10
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		55 53 42 20 34 00
		"USB 4"

Handle 0x001F, DMI type 126, 9 bytes
	Header and Data:
		7E 09 1F 00 01 00 02 12 10
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		55 53 42 20 35 00
		"USB 5"

Handle 0x0020, DMI type 126, 9 bytes
	Header and Data:
		7E 09 20 00 01 00 02 12 10
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		55 53 42 20 36 00
		"USB 6"

Handle 0x0021, DMI type 126, 9 bytes
	Header and Data:
		7E 09 21 00 01 00 02 12 10
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		55 53 42 20 37 00
		"USB 7"

Handle 0x0022, DMI type 126, 9 bytes
	Header and Data:
		7E 09 22 00 01 00 02 12 10
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		55 53 42 20 38 00
		"USB 8"

Handle 0x0023, DMI type 126, 9 bytes
	Header and Data:
		7E 09 23 00 01 00 02 12 10
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		55 53 42 20 39 00
		"USB 9"

Handle 0x0024, DMI type 126, 9 bytes
	Header and Data:
		7E 09 24 00 01 00 02 12 10
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		55 53 42 20 31 30 00
		"USB 10"

Handle 0x0025, DMI type 126, 9 bytes
	Header and Data:
		7E 09 25 00 01 00 02 12 10
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		55 53 42 20 31 31 00
		"USB 11"

Handle 0x0026, DMI type 8, 9 bytes
	Header and Data:
		08 09 26 00 01 00 02 21 11
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		49 45 45 45 31 33 39 34 00
		"IEEE1394"

Handle 0x0027, DMI type 126, 9 bytes
	Header and Data:
		7E 09 27 00 01 00 02 22 20
	Strings:
		4E 6F 74 20 41 76 61 69 6C 61 62 6C 65 00
		"Not Available"
		65 53 41 54 41 00
		"eSATA"

Handle 0x0028, DMI type 9, 17 bytes
	Header and Data:
		09 11 28 00 01 A5 08 03 01 01 00 00 02 00 00 00
		00
	Strings:
		45 78 70 72 65 73 73 43 61 72 64 20 53 6C 6F 74
		00
		"ExpressCard Slot"

Handle 0x0029, DMI type 9, 17 bytes
	Header and Data:
		09 11 29 00 01 01 01 03 01 02 00 00 02 00 00 00
		00
	Strings:
		4D 65 64 69 61 20 43 61 72 64 20 53 6C 6F 74 00
		"Media Card Slot"

Handle 0x002A, DMI type 126, 17 bytes
	Header and Data:
		7E 11 2A 00 01 01 01 03 01 03 00 00 02 00 00 00
		00
	Strings:
		53 6D 61 72 74 43 61 72 64 20 53 6C 6F 74 00
		"SmartCard Slot"

Handle 0x002B, DMI type 10, 6 bytes
	Header and Data:
		0A 06 2B 00 01 01
	Strings:
		49 42 4D 20 45 6D 62 65 64 64 65 64 20 53 65 63
		75 72 69 74 79 20 68 61 72 64 77 61 72 65 00
		"IBM Embedded Security hardware"

Handle 0x002C, DMI type 12, 5 bytes
	Header and Data:
		0C 05 2C 00 00

Handle 0x002D, DMI type 13, 22 bytes
	Header and Data:
		0D 16 2D 00 01 01 00 00 00 00 00 00 00 00 00 00
		00 00 00 00 00 01
	Strings:
		65 6E 2D 55 53 00
		"en-US"

Handle 0x002E, DMI type 22, 26 bytes
	Header and Data:
		16 1A 2E 00 01 02 00 00 03 02 B4 24 30 2A 04 FF
		C0 5E 83 42 05 0A 00 00 00 00
	Strings:
		52 65 61 72 00
		"Rear"
		53 41 4E 59 4F 00
		"SANYO"
		34 35 4E 31 31 37 33 00
		"45N1173"
		30 33 2E 30 31 00
		"03.01"
		4C 49 4F 4E 00
		"LION"

Handle 0x002F, DMI type 126, 26 bytes
	Header and Data:
		7E 1A 2F 00 01 02 00 00 03 02 00 00 00 00 04 FF
		00 00 00 00 05 0A 00 00 00 00

Handle 0x0030, DMI type 18, 23 bytes
	Header and Data:
		12 17 30 00 03 02 02 00 00 00 00 00 00 00 80 00
		00 00 80 00 00 00 80

Handle 0x0031, DMI type 21, 7 bytes
	Header and Data:
		15 07 31 00 05 04 03

Handle 0x0032, DMI type 21, 7 bytes
	Header and Data:
		15 07 32 00 07 04 02

Handle 0x0033, DMI type 131, 22 bytes
	Header and Data:
		83 16 33 00 01 00 00 00 00 00 00 00 00 00 00 00
		00 00 00 00 00 01
	Strings:
		54 56 54 2D 45 6E 61 62 6C 65 6D 65 6E 74 00
		"TVT-Enablement"

Handle 0x0034, DMI type 136, 6 bytes
	Header and Data:
		88 06 34 00 5A 5A

Handle 0x0035, DMI type 130, 20 bytes
	Header and Data:
		82 14 35 00 24 41 4D 54 00 00 00 00 01 A5 FF 03
		00 00 00 00

Handle 0x0036, DMI type 131, 64 bytes
	Header and Data:
		83 40 36 00 31 00 00 00 08 00 00 00 00 00 45 00
		F8 00 55 1E FF FF FF FF 21 20 00 00 01 00 08 00
		46 05 1E 00 00 00 00 00 C8 00 02 15 00 00 00 00
		00 00 00 00 60 00 00 00 76 50 72 6F 00 00 00 00

Handle 0x0037, DMI type 135, 74 bytes
	Header and Data:
		87 4A 37 00 54 50 07 02 42 41 59 20 49 2F 4F 20
		03 00 06 FF 00 00 00 00 00 00 00 FF 00 00 00 00
		00 00 00 FF 00 00 00 00 00 00 00 FF 00 00 00 00
		00 00 00 FF 00 00 00 00 00 00 00 FF 00 00 00 00
		00 00 00 06 00 02 04 FF 03 FF

Handle 0x0038, DMI type 133, 5 bytes
	Header and Data:
		85 05 38 00 01
	Strings:
		4B 48 4F 49 48 47 49 55 43 43 48 48 49 49 00
		"KHOIHGIUCCHHII"

Handle 0x0039, DMI type 15, 81 bytes
	Header and Data:
		0F 51 39 00 32 00 00 00 10 00 04 01 02 00 00 00
		F0 00 00 00 01 1D 02 01 03 02 03 03 00 04 00 05
		00 06 00 07 00 08 04 09 00 0A 00 0B 00 0C 00 0D
		00 0E 00 10 00 11 00 12 00 13 00 14 00 15 00 16
		00 17 00 80 00 81 00 82 00 83 00 84 00 85 00 86
		00

Handle 0x003A, DMI type 140, 67 bytes
	Header and Data:
		8C 43 3A 00 4C 45 4E 4F 56 4F 0B 00 01 73 A1 B2
		BF 4B F9 F3 8F 1F E7 74 52 2D A7 7D D3 01 00 00
		00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
		00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
		00 00 00

Handle 0x003B, DMI type 140, 47 bytes
	Header and Data:
		8C 2F 3B 00 4C 45 4E 4F 56 4F 0B 01 01 29 00 AB
		B3 FD DB EF E3 69 6A 32 0E 26 BE AB B3 97 E9 00
		00 00 00 10 00 10 00 10 01 D0 00 20 01 00 01

Handle 0x003C, DMI type 140, 63 bytes
	Header and Data:
		8C 3F 3C 00 4C 45 4E 4F 56 4F 0B 02 01 00 00 00
		00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
		00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
		00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

Handle 0x003D, DMI type 140, 17 bytes
	Header and Data:
		8C 11 3D 00 4C 45 4E 4F 56 4F 0B 03 01 00 00 00
		00

Handle 0x003E, DMI type 140, 19 bytes
	Header and Data:
		8C 13 3E 00 4C 45 4E 4F 56 4F 0B 04 01 B2 00 4D
		53 20 00

Handle 0x003F, DMI type 140, 19 bytes
	Header and Data:
		8C 13 3F 00 4C 45 4E 4F 56 4F 0B 05 01 01 00 00
		00 00 00

Handle 0x0040, DMI type 140, 23 bytes
	Header and Data:
		8C 17 40 00 4C 45 4E 4F 56 4F 0B 06 01 7E 14 00
		00 00 00 00 00 00 00

Handle 0x0041, DMI type 24, 5 bytes
	Header and Data:
		18 05 41 00 22

Handle 0x0042, DMI type 132, 7 bytes
	Header and Data:
		84 07 42 00 01 D8 36

Handle 0x0043, DMI type 135, 18 bytes
	Header and Data:
		87 12 43 00 54 50 07 01 01 D5 03 00 00 00 01 00
		00 00

Handle 0x0044, DMI type 140, 15 bytes
	Header and Data:
		8C 0F 44 00 4C 45 4E 4F 56 4F 0B 07 01 01 02
	Strings:
		47 34 48 54 33 35 57 57 00
		"G4HT35WW"
		30 31 2F 31 34 2F 32 30 31 33 00
		"01/14/2013"

Handle 0x0045, DMI type 140, 43 bytes
	Header and Data:
		8C 2B 45 00 4C 45 4E 4F 56 4F 0B 08 01 FF FF FF
		FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF FF
		FF FF FF FF FF FF FF FF FF FF FF

Handle 0xFEFF, DMI type 127, 4 bytes
	Header and Data:
		7F 04 FF FE

===============================================================================



pciconf -lv:

hostb0@pci0:0:0:0:	class=0x060000 card=0x21f617aa chip=0x01548086 rev=0x09 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '3rd Gen Core processor DRAM Controller'
    class      = bridge
    subclass   = HOST-PCI
pcib1@pci0:0:1:0:	class=0x060400 card=0x21f617aa chip=0x01518086 rev=0x09 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = 'Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port'
    class      = bridge
    subclass   = PCI-PCI
vgapci1@pci0:0:2:0:	class=0x030000 card=0x21f517aa chip=0x01668086 rev=0x09 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '3rd Gen Core processor Graphics Controller'
    class      = display
    subclass   = VGA
xhci0@pci0:0:20:0:	class=0x0c0330 card=0x21f617aa chip=0x1e318086 rev=0x04 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '7 Series/C210 Series Chipset Family USB xHCI Host Controller'
    class      = serial bus
    subclass   = USB
none0@pci0:0:22:0:	class=0x078000 card=0x21f617aa chip=0x1e3a8086 rev=0x04 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '7 Series/C210 Series Chipset Family MEI Controller'
    class      = simple comms
em0@pci0:0:25:0:	class=0x020000 card=0x21f317aa chip=0x15028086 rev=0x04 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82579LM Gigabit Network Connection'
    class      = network
    subclass   = ethernet
ehci0@pci0:0:26:0:	class=0x0c0320 card=0x21f617aa chip=0x1e2d8086 rev=0x04 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '7 Series/C210 Series Chipset Family USB Enhanced Host Controller'
    class      = serial bus
    subclass   = USB
hdac0@pci0:0:27:0:	class=0x040300 card=0x21f617aa chip=0x1e208086 rev=0x04 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '7 Series/C210 Series Chipset Family High Definition Audio Controller'
    class      = multimedia
    subclass   = HDA
pcib2@pci0:0:28:0:	class=0x060400 card=0x21f617aa chip=0x1e108086 rev=0xc4 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '7 Series/C210 Series Chipset Family PCI Express Root Port 1'
    class      = bridge
    subclass   = PCI-PCI
pcib3@pci0:0:28:1:	class=0x060400 card=0x21f617aa chip=0x1e128086 rev=0xc4 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '7 Series/C210 Series Chipset Family PCI Express Root Port 2'
    class      = bridge
    subclass   = PCI-PCI
pcib4@pci0:0:28:2:	class=0x060400 card=0x21f617aa chip=0x1e148086 rev=0xc4 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '7 Series/C210 Series Chipset Family PCI Express Root Port 3'
    class      = bridge
    subclass   = PCI-PCI
ehci1@pci0:0:29:0:	class=0x0c0320 card=0x21f617aa chip=0x1e268086 rev=0x04 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '7 Series/C210 Series Chipset Family USB Enhanced Host Controller'
    class      = serial bus
    subclass   = USB
isab0@pci0:0:31:0:	class=0x060100 card=0x21f617aa chip=0x1e558086 rev=0x04 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'QM77 Express Chipset LPC Controller'
    class      = bridge
    subclass   = PCI-ISA
ahci0@pci0:0:31:2:	class=0x010601 card=0x21f617aa chip=0x1e038086 rev=0x04 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '7 Series Chipset Family 6-port SATA Controller [AHCI mode]'
    class      = mass storage
    subclass   = SATA
none1@pci0:0:31:3:	class=0x0c0500 card=0x21f617aa chip=0x1e228086 rev=0x04 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '7 Series/C210 Series Chipset Family SMBus Controller'
    class      = serial bus
    subclass   = SMBus
vgapci0@pci0:1:0:0:	class=0x030000 card=0x21f517aa chip=0x0ffb10de rev=0xa1 hdr=0x00
    vendor     = 'NVIDIA Corporation'
    device     = 'GK107 [Quadro K2000M]'
    class      = display
    subclass   = VGA
sdhci_pci0@pci0:2:0:0:	class=0x088001 card=0x21f617aa chip=0xe8231180 rev=0x05 hdr=0x00
    vendor     = 'Ricoh Co Ltd'
    device     = 'PCIe SDXC/MMC Host Controller'
    class      = base peripheral
none2@pci0:2:0:3:	class=0x0c0010 card=0x21f617aa chip=0xe8321180 rev=0x04 hdr=0x00
    vendor     = 'Ricoh Co Ltd'
    device     = 'R5C832 PCIe IEEE 1394 Controller'
    class      = serial bus
    subclass   = FireWire
iwn0@pci0:3:0:0:	class=0x028000 card=0x11118086 chip=0x42388086 rev=0x3e hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Centrino Ultimate-N 6300'
    class      = network

===============================================================================



sysctl -a:

kern.ostype: FreeBSD
kern.osrelease: 10.0-CURRENT
kern.osrevision: 199506
kern.version: FreeBSD 10.0-CURRENT #0: Mon Aug 12 03:35:34 UTC 2013
    root@bb1.allbsd.org:/usr/obj/usr/src/sys/GENERIC

kern.maxvnodes: 342746
kern.maxproc: 21316
kern.maxfiles: 509573
kern.argmax: 262144
kern.securelevel: -1
kern.hostname: 
kern.hostid: 1037990199
kern.clockrate: { hz = 1000, tick = 1000, profhz = 8128, stathz = 127 }
kern.posix1version: 200112
kern.ngroups: 1023
kern.job_control: 1
kern.saved_ids: 0
kern.boottime: { sec = 1376553352, usec = 941091 } Thu Aug 15 09:55:52 2013
kern.domainname: 
kern.osreldate: 1000042
kern.bootfile: /boot/kernel/kernel
kern.maxfilesperproc: 458613
kern.maxprocperuid: 19184
kern.ipc.maxsockbuf: 2097152
kern.ipc.sockbuf_waste_factor: 8
kern.ipc.max_linkhdr: 40
kern.ipc.max_protohdr: 60
kern.ipc.max_hdr: 100
kern.ipc.max_datalen: 68
kern.ipc.maxmbufmem: 8116727808
kern.ipc.nmbclusters: 990812
kern.ipc.nmbjumbop: 495405
kern.ipc.nmbjumbo9: 440358
kern.ipc.nmbjumbo16: 330268
kern.ipc.nmbufs: 6341205
kern.ipc.maxpipekva: 260898816
kern.ipc.pipekva: 20480
kern.ipc.pipefragretry: 0
kern.ipc.pipeallocfail: 0
kern.ipc.piperesizefail: 0
kern.ipc.piperesizeallowed: 1
kern.ipc.msgmax: 16384
kern.ipc.msgmni: 40
kern.ipc.msgmnb: 2048
kern.ipc.msgtql: 40
kern.ipc.msgssz: 8
kern.ipc.msgseg: 2048
kern.ipc.semmni: 50
kern.ipc.semmns: 340
kern.ipc.semmnu: 150
kern.ipc.semmsl: 340
kern.ipc.semopm: 100
kern.ipc.semume: 50
kern.ipc.semusz: 632
kern.ipc.semvmx: 32767
kern.ipc.semaem: 16384
kern.ipc.shmmax: 536870912
kern.ipc.shmmin: 1
kern.ipc.shmmni: 192
kern.ipc.shmseg: 128
kern.ipc.shmall: 131072
kern.ipc.shm_use_phys: 0
kern.ipc.shm_allow_removed: 0
kern.ipc.soacceptqueue: 128
kern.ipc.numopensockets: 18
kern.ipc.maxsockets: 509574
kern.ipc.nsfbufs: 0
kern.ipc.nsfbufspeak: 0
kern.ipc.nsfbufsused: 0
kern.ipc.sfreadahead: 1
kern.dummy: 0
kern.ps_strings: 140737488351200
kern.usrstack: 140737488351232
kern.logsigexit: 1
kern.iov_max: 1024
kern.hostuuid: 0a18ec01-525e-11cb-a663-d8704150881b
kern.cam.sort_io_queues: 1
kern.cam.boot_delay: 0
kern.cam.dflags: 0
kern.cam.debug_delay: 0
kern.cam.pmp.retry_count: 1
kern.cam.pmp.default_timeout: 30
kern.cam.pmp.hide_special: 1
kern.cam.cam_srch_hi: 0
kern.cam.scsi_delay: 5000
kern.cam.cd.changer.min_busy_seconds: 5
kern.cam.cd.changer.max_busy_seconds: 15
kern.cam.cd.poll_period: 3
kern.cam.cd.retry_count: 4
kern.cam.cd.timeout: 30000
kern.cam.cd.0.minimum_cmd_size: 6
kern.cam.ada.legacy_aliases: 1
kern.cam.ada.retry_count: 4
kern.cam.ada.default_timeout: 30
kern.cam.ada.send_ordered: 1
kern.cam.ada.spindown_shutdown: 1
kern.cam.ada.spindown_suspend: 1
kern.cam.ada.read_ahead: 1
kern.cam.ada.write_cache: 1
kern.cam.ada.0.read_ahead: -1
kern.cam.ada.0.write_cache: -1
kern.cam.ada.0.sort_io_queue: 0
kern.cam.da.poll_period: 3
kern.cam.da.retry_count: 4
kern.cam.da.default_timeout: 60
kern.cam.da.send_ordered: 1
kern.cam.enc.emulate_array_devices: 1
kern.random.adaptors: rdrandyarrow
kern.disks: cd0 ada0
kern.geom.dev.delete_max_sectors: 262144
kern.geom.disk.ada0.led: 
kern.geom.disk.cd0.led: 
kern.geom.transient_maps: 0
kern.geom.transient_map_retries: 10
kern.geom.transient_map_hard_failures: 0
kern.geom.transient_map_soft_failures: 0
kern.geom.inflight_transient_maps: 0
kern.geom.confxml: <mesh>
  <class id="0xffffffff813366b0">
    <name>FD</name>
  </class>
  <class id="0xffffffff812c8ff8">
    <name>RAID</name>
  </class>
  <class id="0xffffffff81a7c778">
    <name>ZFS::VDEV</name>
    <geom id="0xfffffe00098a1d00">
      <class ref="0xffffffff81a7c778"/>
      <name>zfs::vdev</name>
      <rank>4</rank>
	<consumer id="0xfffffe0009d0a880">
	  <geom ref="0xfffffe00098a1d00"/>
	  <provider ref="0xfffffe0009917e00"/>
	  <mode>r1w1e1</mode>
	</consumer>
	<consumer id="0xfffffe0009accd00">
	  <geom ref="0xfffffe00098a1d00"/>
	  <provider ref="0xfffffe0009918500"/>
	  <mode>r1w1e1</mode>
	</consumer>
    </geom>
  </class>
  <class id="0xffffffff81a7c5a0">
    <name>ZFS::ZVOL</name>
  </class>
  <class id="0xffffffff81be6b68">
    <name>ELI</name>
    <geom id="0xfffffe00098ecb00">
      <class ref="0xffffffff81be6b68"/>
      <name>ada0p3.eli</name>
      <rank>3</rank>
      <config>
	<KeysTotal>56</KeysTotal>	<KeysAllocated>56</KeysAllocated>	<Flags>BOOT</Flags>
	<UsedKey>0</UsedKey>
	<Version>7</Version>
	<Crypto>hardware</Crypto>
	<KeyLength>128</KeyLength>
	<EncryptionAlgorithm>AES-CBC</EncryptionAlgorithm>
	<State>ACTIVE</State>
      </config>
	<consumer id="0xfffffe0009921000">
	  <geom ref="0xfffffe00098ecb00"/>
	  <provider ref="0xfffffe00098eca00"/>
	  <mode>r1w1e1</mode>
	  <config>
	  </config>
	</consumer>
	<provider id="0xfffffe0009917e00">
	  <geom ref="0xfffffe00098ecb00"/>
	  <mode>r1w1e1</mode>
	  <name>ada0p3.eli</name>
	  <mediasize>238879559680</mediasize>
	  <sectorsize>4096</sectorsize>
	  <stripesize>0</stripesize>
	  <stripeoffset>0</stripeoffset>
	  <config>
	  </config>
	</provider>
    </geom>
  </class>
  <class id="0xffffffff812c69a0">
    <name>DISK</name>
    <geom id="0xfffffe00098ec800">
      <class ref="0xffffffff812c69a0"/>
      <name>cd0</name>
      <rank>1</rank>
      <config>
      </config>
	<provider id="0xfffffe0009919000">
	  <geom ref="0xfffffe00098ec800"/>
	  <mode>r0w0e0</mode>
	  <name>cd0</name>
	  <mediasize>0</mediasize>
	  <sectorsize>2048</sectorsize>
	  <stripesize>0</stripesize>
	  <stripeoffset>0</stripeoffset>
	  <config>
	    <fwheads>0</fwheads>
	    <fwsectors>0</fwsectors>
	    <ident></ident>
	    <descr>PLDS DVD-RW DS8A8SH</descr>
	  </config>
	</provider>
    </geom>
    <geom id="0xfffffe000537b200">
      <class ref="0xffffffff812c69a0"/>
      <name>ada0</name>
      <rank>1</rank>
      <config>
      </config>
	<provider id="0xfffffe000537b300">
	  <geom ref="0xfffffe000537b200"/>
	  <mode>r2w2e5</mode>
	  <name>ada0</name>
	  <mediasize>256060514304</mediasize>
	  <sectorsize>512</sectorsize>
	  <stripesize>0</stripesize>
	  <stripeoffset>0</stripeoffset>
	  <config>
	    <fwheads>1</fwheads>
	    <fwsectors>63</fwsectors>
	    <ident>S16GNEAD414696</ident>
	    <lunid>5002538500000000</lunid>
	    <descr>SAMSUNG MZ7TD256HAFV-000L7</descr>
	  </config>
	</provider>
    </geom>
  </class>
  <class id="0xffffffff812c66d8">
    <name>DEV</name>
    <geom id="0xfffffe0009918100">
      <class ref="0xffffffff812c66d8"/>
      <name>ada0p3.eli</name>
      <rank>4</rank>
	<consumer id="0xfffffe0009acd080">
	  <geom ref="0xfffffe0009918100"/>
	  <provider ref="0xfffffe0009917e00"/>
	  <mode>r0w0e0</mode>
	</consumer>
    </geom>
    <geom id="0xfffffe0009918700">
      <class ref="0xffffffff812c66d8"/>
      <name>gpt/sys0</name>
      <rank>4</rank>
	<consumer id="0xfffffe0009acd180">
	  <geom ref="0xfffffe0009918700"/>
	  <provider ref="0xfffffe0009918500"/>
	  <mode>r0w0e0</mode>
	</consumer>
    </geom>
    <geom id="0xfffffe0009918a00">
      <class ref="0xffffffff812c66d8"/>
      <name>gptid/0c3a3434-04df-11e3-8cd3-3c970e9d7c6e</name>
      <rank>4</rank>
	<consumer id="0xfffffe0009acd200">
	  <geom ref="0xfffffe0009918a00"/>
	  <provider ref="0xfffffe0009918800"/>
	  <mode>r0w0e0</mode>
	</consumer>
    </geom>
    <geom id="0xfffffe0009ac9400">
      <class ref="0xffffffff812c66d8"/>
      <name>gpt/boot0</name>
      <rank>4</rank>
	<consumer id="0xfffffe0009acd280">
	  <geom ref="0xfffffe0009ac9400"/>
	  <provider ref="0xfffffe0009918b00"/>
	  <mode>r0w0e0</mode>
	</consumer>
    </geom>
    <geom id="0xfffffe0009919100">
      <class ref="0xffffffff812c66d8"/>
      <name>cd0</name>
      <rank>2</rank>
	<consumer id="0xfffffe0009920d00">
	  <geom ref="0xfffffe0009919100"/>
	  <provider ref="0xfffffe0009919000"/>
	  <mode>r0w0e0</mode>
	</consumer>
    </geom>
    <geom id="0xfffffe0009917c00">
      <class ref="0xffffffff812c66d8"/>
      <name>ada0p3</name>
      <rank>3</rank>
	<consumer id="0xfffffe0009920e00">
	  <geom ref="0xfffffe0009917c00"/>
	  <provider ref="0xfffffe00098eca00"/>
	  <mode>r0w0e0</mode>
	</consumer>
    </geom>
    <geom id="0xfffffe00098ecd00">
      <class ref="0xffffffff812c66d8"/>
      <name>ada0p2</name>
      <rank>3</rank>
	<consumer id="0xfffffe0009921180">
	  <geom ref="0xfffffe00098ecd00"/>
	  <provider ref="0xfffffe00098ecc00"/>
	  <mode>r0w0e0</mode>
	</consumer>
    </geom>
    <geom id="0xfffffe000537b500">
      <class ref="0xffffffff812c66d8"/>
      <name>ada0p1</name>
      <rank>3</rank>
	<consumer id="0xfffffe00098e5180">
	  <geom ref="0xfffffe000537b500"/>
	  <provider ref="0xfffffe00098ece00"/>
	  <mode>r0w0e0</mode>
	</consumer>
    </geom>
    <geom id="0xfffffe000537b000">
      <class ref="0xffffffff812c66d8"/>
      <name>ada0</name>
      <rank>2</rank>
	<consumer id="0xfffffe0005380b00">
	  <geom ref="0xfffffe000537b000"/>
	  <provider ref="0xfffffe000537b300"/>
	  <mode>r0w0e0</mode>
	</consumer>
    </geom>
  </class>
  <class id="0xffffffff812c8138">
    <name>PART</name>
    <geom id="0xfffffe00098a2100">
      <class ref="0xffffffff812c8138"/>
      <name>ada0</name>
      <rank>2</rank>
      <config>
	<scheme>GPT</scheme>
	<entries>128</entries>
	<first>34</first>
	<last>500118158</last>
	<fwsectors>63</fwsectors>
	<fwheads>1</fwheads>
	<state>OK</state>
	<modified>false</modified>
      </config>
	<consumer id="0xfffffe00098a7080">
	  <geom ref="0xfffffe00098a2100"/>
	  <provider ref="0xfffffe000537b300"/>
	  <mode>r2w2e5</mode>
	  <config>
	  </config>
	</consumer>
	<provider id="0xfffffe00098eca00">
	  <geom ref="0xfffffe00098a2100"/>
	  <mode>r1w1e1</mode>
	  <name>ada0p3</name>
	  <mediasize>238879562240</mediasize>
	  <sectorsize>512</sectorsize>
	  <stripesize>0</stripesize>
	  <stripeoffset>1065984</stripeoffset>
	  <config>
	    <start>33556514</start>
	    <end>500118158</end>
	    <index>3</index>
	    <type>freebsd-zfs</type>
	    <offset>17180935168</offset>
	    <length>238879562240</length>
	    <label>local0</label>
	    <rawtype>516e7cba-6ecf-11d6-8ff8-00022d09712b</rawtype>
	    <rawuuid>f1d67fd1-04de-11e3-8cd3-3c970e9d7c6e</rawuuid>
	  </config>
	</provider>
	<provider id="0xfffffe00098ecc00">
	  <geom ref="0xfffffe00098a2100"/>
	  <mode>r1w1e2</mode>
	  <name>ada0p2</name>
	  <mediasize>17179869184</mediasize>
	  <sectorsize>512</sectorsize>
	  <stripesize>0</stripesize>
	  <stripeoffset>1065984</stripeoffset>
	  <config>
	    <start>2082</start>
	    <end>33556513</end>
	    <index>2</index>
	    <type>freebsd-zfs</type>
	    <offset>1065984</offset>
	    <length>17179869184</length>
	    <label>sys0</label>
	    <rawtype>516e7cba-6ecf-11d6-8ff8-00022d09712b</rawtype>
	    <rawuuid>ede28c08-04de-11e3-8cd3-3c970e9d7c6e</rawuuid>
	  </config>
	</provider>
	<provider id="0xfffffe00098ece00">
	  <geom ref="0xfffffe00098a2100"/>
	  <mode>r0w0e0</mode>
	  <name>ada0p1</name>
	  <mediasize>131072</mediasize>
	  <sectorsize>512</sectorsize>
	  <stripesize>0</stripesize>
	  <stripeoffset>17408</stripeoffset>
	  <config>
	    <start>34</start>
	    <end>289</end>
	    <index>1</index>
	    <type>freebsd-boot</type>
	    <offset>17408</offset>
	    <length>131072</length>
	    <label>boot0</label>
	    <rawtype>83bd6b9d-7f41-11dc-be0b-001560b84f0f</rawtype>
	    <rawuuid>0c3a3434-04df-11e3-8cd3-3c970e9d7c6e</rawuuid>
	  </config>
	</provider>
    </geom>
  </class>
  <class id="0xffffffff812c7358">
    <name>LABEL</name>
    <geom id="0xfffffe0009918600">
      <class ref="0xffffffff812c7358"/>
      <name>ada0p2</name>
      <rank>3</rank>
      <config>
      </config>
	<consumer id="0xfffffe0009920f00">
	  <geom ref="0xfffffe0009918600"/>
	  <provider ref="0xfffffe00098ecc00"/>
	  <mode>r1w1e2</mode>
	  <config>
	  </config>
	</consumer>
	<provider id="0xfffffe0009918500">
	  <geom ref="0xfffffe0009918600"/>
	  <mode>r1w1e1</mode>
	  <name>gpt/sys0</name>
	  <mediasize>17179869184</mediasize>
	  <sectorsize>512</sectorsize>
	  <stripesize>0</stripesize>
	  <stripeoffset>1065984</stripeoffset>
	  <config>
	    <index>0</index>
	    <length>17179869184</length>
	    <seclength>33554432</seclength>
	    <offset>0</offset>
	    <secoffset>0</secoffset>
	  </config>
	</provider>
    </geom>
    <geom id="0xfffffe0009918900">
      <class ref="0xffffffff812c7358"/>
      <name>ada0p1</name>
      <rank>3</rank>
      <config>
      </config>
	<consumer id="0xfffffe0009921080">
	  <geom ref="0xfffffe0009918900"/>
	  <provider ref="0xfffffe00098ece00"/>
	  <mode>r0w0e0</mode>
	  <config>
	  </config>
	</consumer>
	<provider id="0xfffffe0009918800">
	  <geom ref="0xfffffe0009918900"/>
	  <mode>r0w0e0</mode>
	  <name>gptid/0c3a3434-04df-11e3-8cd3-3c970e9d7c6e</name>
	  <mediasize>131072</mediasize>
	  <sectorsize>512</sectorsize>
	  <stripesize>0</stripesize>
	  <stripeoffset>17408</stripeoffset>
	  <config>
	    <index>0</index>
	    <length>131072</length>
	    <seclength>256</seclength>
	    <offset>0</offset>
	    <secoffset>0</secoffset>
	  </config>
	</provider>
    </geom>
    <geom id="0xfffffe0009918c00">
      <class ref="0xffffffff812c7358"/>
      <name>ada0p1</name>
      <rank>3</rank>
      <config>
      </config>
	<consumer id="0xfffffe0009921100">
	  <geom ref="0xfffffe0009918c00"/>
	  <provider ref="0xfffffe00098ece00"/>
	  <mode>r0w0e0</mode>
	  <config>
	  </config>
	</consumer>
	<provider id="0xfffffe0009918b00">
	  <geom ref="0xfffffe0009918c00"/>
	  <mode>r0w0e0</mode>
	  <name>gpt/boot0</name>
	  <mediasize>131072</mediasize>
	  <sectorsize>512</sectorsize>
	  <stripesize>0</stripesize>
	  <stripeoffset>17408</stripeoffset>
	  <config>
	    <index>0</index>
	    <length>131072</length>
	    <seclength>256</seclength>
	    <offset>0</offset>
	    <secoffset>0</secoffset>
	  </config>
	</provider>
    </geom>
  </class>
  <class id="0xffffffff8125e170">
    <name>MD</name>
  </class>
  <class id="0xffffffff81328758">
    <name>SWAP</name>
  </class>
  <class id="0xffffffff812c7178">
    <name>VFS</name>
  </class>
</mesh>

kern.geom.confdot: digraph geom {
z0xfffffe00098a1d00 [shape=box,label="ZFS::VDEV\nzfs::vdev\nr#4"];
z0xfffffe0009d0a880 [label="r1w1e1"];
z0xfffffe0009d0a880 -> z0xfffffe0009917e00;
z0xfffffe00098a1d00 -> z0xfffffe0009d0a880;
z0xfffffe0009accd00 [label="r1w1e1"];
z0xfffffe0009accd00 -> z0xfffffe0009918500;
z0xfffffe00098a1d00 -> z0xfffffe0009accd00;
z0xfffffe00098ecb00 [shape=box,label="ELI\nada0p3.eli\nr#3"];
z0xfffffe0009921000 [label="r1w1e1"];
z0xfffffe0009921000 -> z0xfffffe00098eca00;
z0xfffffe00098ecb00 -> z0xfffffe0009921000;
z0xfffffe0009917e00 [shape=hexagon,label="ada0p3.eli\nr1w1e1\nerr#0"];
z0xfffffe0009917e00 -> z0xfffffe00098ecb00;
z0xfffffe00098ec800 [shape=box,label="DISK\ncd0\nr#1"];
z0xfffffe0009919000 [shape=hexagon,label="cd0\nr0w0e0\nerr#0"];
z0xfffffe0009919000 -> z0xfffffe00098ec800;
z0xfffffe000537b200 [shape=box,label="DISK\nada0\nr#1"];
z0xfffffe000537b300 [shape=hexagon,label="ada0\nr2w2e5\nerr#0"];
z0xfffffe000537b300 -> z0xfffffe000537b200;
z0xfffffe0009918100 [shape=box,label="DEV\nada0p3.eli\nr#4"];
z0xfffffe0009acd080 [label="r0w0e0"];
z0xfffffe0009acd080 -> z0xfffffe0009917e00;
z0xfffffe0009918100 -> z0xfffffe0009acd080;
z0xfffffe0009918700 [shape=box,label="DEV\ngpt/sys0\nr#4"];
z0xfffffe0009acd180 [label="r0w0e0"];
z0xfffffe0009acd180 -> z0xfffffe0009918500;
z0xfffffe0009918700 -> z0xfffffe0009acd180;
z0xfffffe0009918a00 [shape=box,label="DEV\ngptid/0c3a3434-04df-11e3-8cd3-3c970e9d7c6e\nr#4"];
z0xfffffe0009acd200 [label="r0w0e0"];
z0xfffffe0009acd200 -> z0xfffffe0009918800;
z0xfffffe0009918a00 -> z0xfffffe0009acd200;
z0xfffffe0009ac9400 [shape=box,label="DEV\ngpt/boot0\nr#4"];
z0xfffffe0009acd280 [label="r0w0e0"];
z0xfffffe0009acd280 -> z0xfffffe0009918b00;
z0xfffffe0009ac9400 -> z0xfffffe0009acd280;
z0xfffffe0009919100 [shape=box,label="DEV\ncd0\nr#2"];
z0xfffffe0009920d00 [label="r0w0e0"];
z0xfffffe0009920d00 -> z0xfffffe0009919000;
z0xfffffe0009919100 -> z0xfffffe0009920d00;
z0xfffffe0009917c00 [shape=box,label="DEV\nada0p3\nr#3"];
z0xfffffe0009920e00 [label="r0w0e0"];
z0xfffffe0009920e00 -> z0xfffffe00098eca00;
z0xfffffe0009917c00 -> z0xfffffe0009920e00;
z0xfffffe00098ecd00 [shape=box,label="DEV\nada0p2\nr#3"];
z0xfffffe0009921180 [label="r0w0e0"];
z0xfffffe0009921180 -> z0xfffffe00098ecc00;
z0xfffffe00098ecd00 -> z0xfffffe0009921180;
z0xfffffe000537b500 [shape=box,label="DEV\nada0p1\nr#3"];
z0xfffffe00098e5180 [label="r0w0e0"];
z0xfffffe00098e5180 -> z0xfffffe00098ece00;
z0xfffffe000537b500 -> z0xfffffe00098e5180;
z0xfffffe000537b000 [shape=box,label="DEV\nada0\nr#2"];
z0xfffffe0005380b00 [label="r0w0e0"];
z0xfffffe0005380b00 -> z0xfffffe000537b300;
z0xfffffe000537b000 -> z0xfffffe0005380b00;
z0xfffffe00098a2100 [shape=box,label="PART\nada0\nr#2"];
z0xfffffe00098a7080 [label="r2w2e5"];
z0xfffffe00098a7080 -> z0xfffffe000537b300;
z0xfffffe00098a2100 -> z0xfffffe00098a7080;
z0xfffffe00098eca00 [shape=hexagon,label="ada0p3\nr1w1e1\nerr#0"];
z0xfffffe00098eca00 -> z0xfffffe00098a2100;
z0xfffffe00098ecc00 [shape=hexagon,label="ada0p2\nr1w1e2\nerr#0"];
z0xfffffe00098ecc00 -> z0xfffffe00098a2100;
z0xfffffe00098ece00 [shape=hexagon,label="ada0p1\nr0w0e0\nerr#0"];
z0xfffffe00098ece00 -> z0xfffffe00098a2100;
z0xfffffe0009918600 [shape=box,label="LABEL\nada0p2\nr#3"];
z0xfffffe0009920f00 [label="r1w1e2"];
z0xfffffe0009920f00 -> z0xfffffe00098ecc00;
z0xfffffe0009918600 -> z0xfffffe0009920f00;
z0xfffffe0009918500 [shape=hexagon,label="gpt/sys0\nr1w1e1\nerr#0"];
z0xfffffe0009918500 -> z0xfffffe0009918600;
z0xfffffe0009918900 [shape=box,label="LABEL\nada0p1\nr#3"];
z0xfffffe0009921080 [label="r0w0e0"];
z0xfffffe0009921080 -> z0xfffffe00098ece00;
z0xfffffe0009918900 -> z0xfffffe0009921080;
z0xfffffe0009918800 [shape=hexagon,label="gptid/0c3a3434-04df-11e3-8cd3-3c970e9d7c6e\nr0w0e0\nerr#0"];
z0xfffffe0009918800 -> z0xfffffe0009918900;
z0xfffffe0009918c00 [shape=box,label="LABEL\nada0p1\nr#3"];
z0xfffffe0009921100 [label="r0w0e0"];
z0xfffffe0009921100 -> z0xfffffe00098ece00;
z0xfffffe0009918c00 -> z0xfffffe0009921100;
z0xfffffe0009918b00 [shape=hexagon,label="gpt/boot0\nr0w0e0\nerr#0"];
z0xfffffe0009918b00 -> z0xfffffe0009918c00;
}

kern.geom.conftxt: 0 DISK cd0 0 2048 hd 0 sc 0
0 DISK ada0 256060514304 512 hd 1 sc 63
1 PART ada0p3 238879562240 512 i 3 o 17180935168 ty freebsd-zfs xs GPT xt 516e7cba-6ecf-11d6-8ff8-00022d09712b
2 ELI ada0p3.eli 238879559680 4096
1 PART ada0p2 17179869184 512 i 2 o 1065984 ty freebsd-zfs xs GPT xt 516e7cba-6ecf-11d6-8ff8-00022d09712b
2 LABEL gpt/sys0 17179869184 512 i 0 o 0
1 PART ada0p1 131072 512 i 1 o 17408 ty freebsd-boot xs GPT xt 83bd6b9d-7f41-11dc-be0b-001560b84f0f
2 LABEL gptid/0c3a3434-04df-11e3-8cd3-3c970e9d7c6e 131072 512 i 0 o 0
2 LABEL gpt/boot0 131072 512 i 0 o 0

kern.geom.debugflags: 0
kern.geom.collectstats: 1
kern.geom.label.debug: 0
kern.geom.label.ext2fs.enable: 1
kern.geom.label.iso9660.enable: 1
kern.geom.label.msdosfs.enable: 1
kern.geom.label.ntfs.enable: 1
kern.geom.label.reiserfs.enable: 1
kern.geom.label.ufsid.enable: 1
kern.geom.label.ufs.enable: 1
kern.geom.label.gpt.enable: 1
kern.geom.label.gptid.enable: 1
kern.geom.label.disk_ident.enable: 1
kern.geom.part.check_integrity: 1
kern.geom.raid.enable: 1
kern.geom.raid.aggressive_spare: 0
kern.geom.raid.debug: 0
kern.geom.raid.read_err_thresh: 10
kern.geom.raid.start_timeout: 30
kern.geom.raid.clean_time: 5
kern.geom.raid.disconnect_on_failure: 1
kern.geom.raid.name_format: 0
kern.geom.raid.idle_threshold: 1000000
kern.geom.raid.legacy_aliases: 1
kern.geom.raid.ddf.enable: 1
kern.geom.raid.intel.enable: 1
kern.geom.raid.jmicron.enable: 1
kern.geom.raid.nvidia.enable: 1
kern.geom.raid.promise.enable: 1
kern.geom.raid.sii.enable: 1
kern.geom.raid.concat.enable: 1
kern.geom.raid.raid0.enable: 1
kern.geom.raid.raid1.rebuild_slab_size: 1048576
kern.geom.raid.raid1.rebuild_fair_io: 20
kern.geom.raid.raid1.rebuild_cluster_idle: 100
kern.geom.raid.raid1.rebuild_meta_update: 1024
kern.geom.raid.raid1.enable: 1
kern.geom.raid.raid1e.rebuild_slab_size: 1048576
kern.geom.raid.raid1e.rebuild_fair_io: 20
kern.geom.raid.raid1e.rebuild_cluster_idle: 100
kern.geom.raid.raid1e.rebuild_meta_update: 1024
kern.geom.raid.raid1e.enable: 1
kern.geom.raid.raid5.enable: 1
kern.geom.eli.version: 7
kern.geom.eli.debug: 0
kern.geom.eli.tries: 3
kern.geom.eli.visible_passphrase: 0
kern.geom.eli.overwrites: 5
kern.geom.eli.threads: 0
kern.geom.eli.batch: 0
kern.geom.eli.key_cache_limit: 8192
kern.geom.eli.key_cache_hits: 0
kern.geom.eli.key_cache_misses: 0
kern.elf64.fallback_brand: -1
kern.elf64.nxstack: 1
kern.elf32.fallback_brand: -1
kern.elf32.nxstack: 1
kern.elf32.read_exec: 0
kern.init_path: /sbin/init:/sbin/oinit:/sbin/init.bak:/rescue/init
kern.init_shutdown_timeout: 120
kern.acct_suspend: 2
kern.acct_resume: 4
kern.acct_chkfreq: 15
kern.acct_configured: 0
kern.acct_suspended: 0
kern.cp_time: 1059 0 5534 1225 796401
kern.cp_times: 95 0 509 268 99671 117 0 383 247 99778 104 0 1556 440 98426 128 0 587 101 99709 147 0 707 35 99636 146 0 567 22 99790 95 0 535 16 99879 227 0 690 96 99512
kern.console: ttyv0,/ttyv0,gdb,
kern.consmute: 0
kern.consmsgbuf_size: 8192
kern.constty_wakeups_per_second: 5
kern.openfiles: 66
kern.eventtimer.et.LAPIC.flags: 7
kern.eventtimer.et.LAPIC.frequency: 49887683
kern.eventtimer.et.LAPIC.quality: 600
kern.eventtimer.et.i8254.flags: 1
kern.eventtimer.et.i8254.frequency: 1193182
kern.eventtimer.et.i8254.quality: 100
kern.eventtimer.et.HPET.flags: 7
kern.eventtimer.et.HPET.frequency: 14318180
kern.eventtimer.et.HPET.quality: 550
kern.eventtimer.et.RTC.flags: 17
kern.eventtimer.et.RTC.frequency: 32768
kern.eventtimer.et.RTC.quality: 0
kern.eventtimer.choice: LAPIC(600) HPET(550) i8254(100) RTC(0)
kern.eventtimer.singlemul: 2
kern.eventtimer.idletick: 0
kern.eventtimer.timer: LAPIC
kern.eventtimer.periodic: 0
kern.kq_calloutmax: 4096
kern.stackprot: 7
kern.ps_arg_cache_limit: 256
kern.lastpid: 2173
kern.randompid: 0
kern.ktrace.genio_size: 4096
kern.ktrace.request_pool: 100
kern.module_path: /boot/kernel;/boot/modules
kern.malloc_count: 359
kern.ident: GENERIC
kern.compiler_version: FreeBSD clang version 3.3 (tags/RELEASE_33/final 183502) 20130610
kern.maxusers: 1331
kern.conftxt: options	CONFIG_AUTOGENERATED
ident	GENERIC
machine	amd64
cpu	HAMMER
makeoptions	WITH_CTF=1
makeoptions	DEBUG=-g
options	USB_DEBUG
options	RDRAND_RNG
options	PADLOCK_RNG
options	ATH_ENABLE_11N
options	AH_AR5416_INTERRUPT_MITIGATION
options	AH_SUPPORT_AR5416
options	IEEE80211_SUPPORT_MESH
options	IEEE80211_AMPDU_AGE
options	IEEE80211_DEBUG
options	SC_PIXEL_MODE
options	VESA
options	AHD_REG_PRETTY_PRINT
options	AHC_REG_PRETTY_PRINT
options	ATA_STATIC_ID
options	SMP
options	MALLOC_DEBUG_MAXZONES=8
options	WITNESS_SKIPSPIN
options	WITNESS
options	INVARIANT_SUPPORT
options	INVARIANTS
options	DEADLKRES
options	GDB
options	DDB
options	KDB_TRACE
options	KDB
options	INCLUDE_CONFIG_FILE
options	DDB_CTF
options	KDTRACE_HOOKS
options	KDTRACE_FRAME
options	MAC
options	CAPABILITIES
options	CAPABILITY_MODE
options	AUDIT
options	HWPMC_HOOKS
options	KBD_INSTALL_CDEV
options	PRINTF_BUFR_SIZE=128
options	_KPOSIX_PRIORITY_SCHEDULING
options	SYSVSEM
options	SYSVMSG
options	SYSVSHM
options	STACK
options	KTRACE
options	SCSI_DELAY=5000
options	COMPAT_FREEBSD7
options	COMPAT_FREEBSD6
options	COMPAT_FREEBSD5
options	COMPAT_FREEBSD4
options	COMPAT_FREEBSD32
options	GEOM_LABEL
options	GEOM_RAID
options	GEOM_PART_GPT
options	PSEUDOFS
options	PROCFS
options	CD9660
options	MSDOSFS
options	NFS_ROOT
options	NFSLOCKD
options	NFSD
options	NFSCL
options	MD_ROOT
options	QUOTA
options	UFS_GJOURNAL
options	UFS_DIRHASH
options	UFS_ACL
options	SOFTUPDATES
options	FFS
options	SCTP
options	TCP_OFFLOAD
options	INET6
options	INET
options	PREEMPTION
options	SCHED_ULE
options	NEW_PCIB
options	GEOM_PART_MBR
options	GEOM_PART_EBR_COMPAT
options	GEOM_PART_EBR
options	GEOM_PART_BSD
device	isa
device	mem
device	io
device	uart_ns8250
device	cpufreq
device	acpi
device	pci
device	fdc
device	ahci
device	ata
device	mvs
device	siis
device	ahc
device	ahd
device	esp
device	hptiop
device	isp
device	mpt
device	mps
device	sym
device	trm
device	adv
device	adw
device	aic
device	bt
device	isci
device	scbus
device	ch
device	da
device	sa
device	cd
device	pass
device	ses
device	amr
device	arcmsr
device	ciss
device	dpt
device	hptmv
device	hptnr
device	hptrr
device	hpt27xx
device	iir
device	ips
device	mly
device	twa
device	tws
device	aac
device	aacp
device	aacraid
device	ida
device	mfi
device	mlx
device	twe
device	atkbdc
device	atkbd
device	psm
device	kbdmux
device	vga
device	splash
device	sc
device	agp
device	cbb
device	pccard
device	cardbus
device	uart
device	ppc
device	ppbus
device	lpt
device	ppi
device	puc
device	bxe
device	de
device	em
device	igb
device	ixgbe
device	le
device	ti
device	txp
device	vx
device	miibus
device	ae
device	age
device	alc
device	ale
device	bce
device	bfe
device	bge
device	cas
device	dc
device	et
device	fxp
device	gem
device	hme
device	jme
device	lge
device	msk
device	nfe
device	nge
device	pcn
device	re
device	rl
device	sf
device	sge
device	sis
device	sk
device	ste
device	stge
device	tl
device	tx
device	vge
device	vr
device	wb
device	xl
device	cs
device	ed
device	ex
device	ep
device	fe
device	sn
device	xe
device	wlan
device	wlan_wep
device	wlan_ccmp
device	wlan_tkip
device	wlan_amrr
device	an
device	ath
device	ath_pci
device	ath_hal
device	ath_rate_sample
device	ipw
device	iwi
device	iwn
device	malo
device	mwl
device	ral
device	wi
device	wpi
device	loop
device	random
device	ether
device	vlan
device	tun
device	md
device	gif
device	faith
device	firmware
device	bpf
device	uhci
device	ohci
device	ehci
device	xhci
device	usb
device	ukbd
device	umass
device	sound
device	snd_cmi
device	snd_csa
device	snd_emu10kx
device	snd_es137x
device	snd_hda
device	snd_ich
device	snd_via8233
device	mmc
device	mmcsd
device	sdhci
device	virtio
device	virtio_pci
device	vtnet
device	virtio_blk
device	virtio_scsi
device	virtio_balloon

kern.features.scbus: 1
kern.features.compat_freebsd_32bit: 1
kern.features.ata_cam: 1
kern.features.nfscl: 1
kern.features.nfsd: 1
kern.features.geom_label: 1
kern.featu
Comment 1 John Baldwin freebsd_committer freebsd_triage 2015-04-06 18:09:43 UTC
Other thinkpads that use Intel integrated graphics are able to control LCD brightness via the KMS module after r270516 in HEAD (merged to stable/10 in 279961 which is after 10.1).  However, those do not use acpi_ibm, but do work with acpi_video.  On my x220 the following things appear to work in acpi_ibm:

'mute' sysctl (can write to it to mute, and the mute button change its state, also writing to it changes the mute light)
'thinklight' sysctl
'fan_speed' sysctl
Comment 2 vermaden 2015-04-09 12:54:30 UTC
Thanks for suggestion about acpi_video ... but it makes the whole case wven more 'fun' ;)

After loading acpi_video module, the hardware buttons for brightness does not work anymore and after kldunload acpi_video system reboots instantly.

Regards,
vermaden
Comment 3 Greg V 2015-12-18 21:46:09 UTC
On my X240 with 11-CURRENT (drm-i915-update-38 actually), acpi_ibm is useless as well.

The sound volume keys are passed to Xorg as XF86Audio{Lower,Raise}Volume, but the brightness keys aren't. The lower brightness key just resets the brightness to maximum, the raise brightness key does nothing. I think these keys should be passed to Xorg as XF86MonBrightness{Down,Up}!

acpi_video brightness adjustment (sysctl hw.acpi.video.lcd0.brightness) works though. graphics/intel-backlight works too.
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:42:39 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 5 rkoberman 2018-05-28 21:10:42 UTC
My T520 had the same issue and it was fixed at least two years ago. Works fine for me. Would be nice to see come confirmation from a W530 owner, but they are likely pretty rare by now as all are at least 6 years old. Then again, my T520 works fine, if a bit memory limited, after 7 years.
Comment 6 vermaden 2019-07-16 11:33:05 UTC
It was reported on 2013. Lots have changed since then. Closing.